!
! $Header$
!
  subroutine interpost(q,qppm)

   USE comgeom2_mod_h
  USE dimensions_mod, ONLY: iim, jjm, llm, ndm
USE paramet_mod_h
implicit none





  ! Arguments
  real :: q(iip1,jjp1,llm)
  real :: qppm(iim,jjp1,llm)
  ! Local
  integer :: l,i,j

  ! RE-INVERSION DES NIVEAUX
  ! le programme ppm3d travaille avec une 3�me coordonn�e invers�e par rapport
  ! de celle du LMDZ: z=1<=>niveau max, z=llm+1<=>surface
  ! On passe donc des niveaux de Lin � ceux du LMDZ

    do l=1,llm
      do j=1,jjp1
         do i=1,iim
             q(i,j,l)=qppm(i,j,llm-l+1)
         enddo
      enddo
     enddo

  ! BOUCLAGE EN LONGITUDE PAS EFFECTUE DANS PPM3D

     do l=1,llm
       do j=1,jjp1
        q(iip1,j,l)=q(1,j,l)
       enddo
     enddo


   return

end subroutine interpost
